Bug 1573985 - Additional commands support for ca-kra connector and tks-tps connector cli
Summary: Additional commands support for ca-kra connector and tks-tps connector cli
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: pki-core
Version: 8.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: RHCS Maintainers
QA Contact: Asha Akkiangady
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 16:09 UTC by Geetika Kapoor
Modified: 2020-10-04 21:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-15 18:09:58 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure dogtagpki issue 3132 0 None None None 2020-03-15 18:09:58 UTC
Github dogtagpki pki issues 3249 0 None None None 2020-10-04 21:46:36 UTC

Description Geetika Kapoor 2018-05-02 16:09:24 UTC
Description of problem:

Support for mod and show in connector cli's.

Commands:
 ca-kraconnector-add     Add KRA Connector
 ca-kraconnector-del     Remove KRA connector from CA
 ca-kraconnector-show    Show KRA Connector

ca-kra connector is missing mod cli

Commands:
 tks-tpsconnector-add    Add TPS connector to TKS
 tks-tpsconnector-find   Find TPS connectors on TKS
 tks-tpsconnector-mod    Modify TPS connector on TKS
 tks-tpsconnector-del    Remove TPS connector from TKS

tks-tpsconnector missing show cli.

These are needed to replace pki console.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Matthew Harmsen 2018-07-04 00:40:05 UTC
Moved to RHEL 7.7.

Comment 3 Endi Sukma Dewata 2020-02-10 05:46:58 UTC
Just FYI, we now have pki tks-tpsconnector-show in PKI 10.8 (RHEL 8.2).


Note You need to log in before you can comment on or make changes to this bug.